=== debian/control ===
Source: earth3d
Section: utils
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Dominique Andre Gunia <webmaster@earth3d.org>
Build-Depends: debhelper (>=7), quilt, libqt3-mt-dev, libqt3-headers, qt3-dev-tools, imagemagick
Standards-Version: 3.9.2
Vcs-Git: git://anonscm.debian.org/pkg-grass/earth3d.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/earth3d.git

Package: earth3d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Map client displaying a 3D model of the world
 The map data is fetched from a server on the net, and the client will
 display recent satellite images and map data.
